<form
  autocomplete="off"
  [formGroup]="productForm"
  (ngSubmit)="onSubmit($event)"
  class="form-grid"
>
  <mat-form-field appearance="fill">
    <mat-label>Nombre del producto</mat-label>
    <input matInput formControlName="name" />
  </mat-form-field>
  <mat-form-field appearance="fill">
    <mat-label>Description</mat-label>
    <textarea type="text" matInput formControlName="description"></textarea>
  </mat-form-field>
  <div class="form-group">
    <mat-form-field appearance="fill">
      <mat-label>Categoria</mat-label>
      <mat-select formControlName="category">
        <mat-option value="Bolsos">Bolsos</mat-option>
        <mat-option value="Vestidos de baño">Vestidos de baño</mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field appearance="fill" floatLabel="always">
      <mat-label>Precio</mat-label>
      <input
        matInput
        type="number"
        class="example-right-align"
        placeholder="0"
        max="1000000"
        min="0"
        step="1000"
        formControlName="price"
      />
      <span matPrefix>$&nbsp;</span>
      <span matSuffix>.00</span>
    </mat-form-field>
  </div>
  <div class="form-group">
    <mat-form-field appearance="fill">
      <mat-label>Promocion</mat-label>
      <mat-select formControlName="promotion">
        <mat-option value="Si">Si</mat-option>
        <mat-option value="No">No</mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field
      *ngIf="productForm.value.promotion === 'Si'"
      appearance="fill"
      floatLabel="always"
    >
      <mat-label>Descuento</mat-label>
      <input
        matInput
        type="number"
        placeholder="Ex. 12"
        formControlName="discount"
        min="0"
        max="1"
        step="0.05"
      />
      <span matSuffix>%</span>
    </mat-form-field>
  </div>
  <div class="form-group">
    <mat-form-field appearance="fill" floatLabel="always">
      <mat-label>Cantidad de productos</mat-label>
      <input matInput type="number" formControlName="quantity" min="1" />
    </mat-form-field>
    <app-image-upload
      [addProductImage]="data.addProductImage"
      [image]="productForm.value.image"
      [newImage]="newImage"
      [data]="data"
    ></app-image-upload>
  </div>
</form>
<div class="buttons-container">
  <div></div>
  <div></div>
  <button
    (click)="onSubmit($event)"
    mat-stroked-button
    color="primary"
    [disabled]="!productForm.valid || isLoading"
  >
    {{ data.isCreate ? "Crear" : "Actualizar" }}
  </button>
</div>
